@import "variables";

.navbar {
	display: flex;
	align-items: center;
	width: 100%;
	height: 6.25rem;
	font-size: 16px;

	.btn-hamburger {
		width: 2.5rem;
		height: 2.5rem;

		img {
			width: 100%;
			height: 100%;
		}
	}

	&-scroll-wrapper {
		position: fixed;
		top: 0;
		left: 0;
		width: 100%;
		z-index: 5;
	}

	&.navbar-light {
		background-color: white;
	}

	&.navbar-dark {
		background-color: $background-secondary;
	}

	&-wrapper {
		width: 100%;
		display: flex;
		align-items: center;
	}

	&-icon {
		display: flex;
		justify-content: center;
		align-items: center;
	}

	&-items {
		display: flex;
		flex-direction: row;
		padding: 0;
		margin: 0;
		gap: 2.5em;
		cursor: pointer;

		&:is(ul) {
			display: flex;

			& li {
				padding: 0;
				margin: 0;
				list-style: none;
				font-weight: 500;

				color: $link-color;

				&:hover {
					color: $link-color-hover;
				}
			}
		}

		&__left {
			margin-right: left;
		}

		&__right {
			margin-left: auto;
		}
	}

	&-mobile {
		&-menu {
			position: fixed;
			z-index: 10;
			width: 100vw;
			height: 100vh;
			top: 2.25rem;
			left: 0;
			background-color: $background-secondary;
			color: $text-color-secondary;

			&-container {
				width: 100%;
				height: 100%;
				position: relative;
				display: flex;
				flex-direction: column;
			}

			&-items {
				font-size: 1.75rem;
				color: $link-color;
				display: flex;
				flex-direction: column;
				gap: 3.125rem;
				margin-left: 1rem;
				font-weight: 500;

				& .btn {
					font-weight: bold;
				}
			}

			&-logo {
				margin: 2rem 0 4.37rem 2rem;
				width: 2rem;
				height: 2rem;
			}

			& .btn-close {
				position: absolute;
				top: 0;
				right: 0;
				margin: 0.5em;
				width: 2rem;
				height: 2rem;
				display: flex;
				justify-content: center;
				align-items: center;
				font-weight: bold;
				font-size: 2rem;
				color: $link-color;
			}
		}
	}
}

@media ((min-width: 720px) and (max-width: 1080px)) {
	.navbar {
		.navbar-items {
			gap: 1em;
		}
	}
}
